MPD: StaticSocketAddress Class Reference

MPD 0.20.18

Public Types | Public Member Functions
StaticSocketAddress Class Reference

An OO wrapper for struct sockaddr_storage. More...

`#include <StaticSocketAddress.hxx>`

## Public Types
typedef SocketAddress::size_type | size_type

## Public Member Functions
| StaticSocketAddress ()=default
StaticSocketAddress & | operator= (SocketAddress other) noexcept
| operator SocketAddress () const noexcept
struct sockaddr * | GetAddress () noexcept
const struct sockaddr * | GetAddress () const noexcept
constexpr size_type | GetCapacity () const noexcept
size_type | GetSize () const noexcept
void | SetSize (size_type _size) noexcept
int | GetFamily () const noexcept
bool | IsDefined () const noexcept
void | Clear () noexcept
gcc_pure bool | operator== (SocketAddress other) const noexcept
bool | operator!= (SocketAddress &other) const noexcept

## Detailed Description

An OO wrapper for struct sockaddr_storage.

Definition at line 41 of file StaticSocketAddress.hxx.

## Member Typedef Documentation

## ◆ size_type

typedef SocketAddress::size_type StaticSocketAddress::size_type

Definition at line 43 of file StaticSocketAddress.hxx.

## Constructor & Destructor Documentation

## ◆ StaticSocketAddress()

StaticSocketAddress::StaticSocketAddress | ( |  | ) |
| default

## Member Function Documentation

## ◆ Clear()

void StaticSocketAddress::Clear | ( |  | ) |
| inlinenoexcept

Definition at line 90 of file StaticSocketAddress.hxx.

## ◆ GetAddress() [1/2]

struct sockaddr* StaticSocketAddress::GetAddress | ( |  | ) |
| inlinenoexcept

Definition at line 59 of file StaticSocketAddress.hxx.

## ◆ GetAddress() [2/2]

const struct sockaddr* StaticSocketAddress::GetAddress | ( |  | ) | const
| inlinenoexcept

Definition at line 63 of file StaticSocketAddress.hxx.

## ◆ GetCapacity()

constexpr size_type StaticSocketAddress::GetCapacity | ( |  | ) | const
| inlinenoexcept

Definition at line 67 of file StaticSocketAddress.hxx.

## ◆ GetFamily()

int StaticSocketAddress::GetFamily | ( |  | ) | const
| inlinenoexcept

Definition at line 82 of file StaticSocketAddress.hxx.

## ◆ GetSize()

size_type StaticSocketAddress::GetSize | ( |  | ) | const
| inlinenoexcept

Definition at line 71 of file StaticSocketAddress.hxx.

## ◆ IsDefined()

bool StaticSocketAddress::IsDefined | ( |  | ) | const
| inlinenoexcept

Definition at line 86 of file StaticSocketAddress.hxx.

## ◆ operator SocketAddress()

StaticSocketAddress::operator SocketAddress | ( |  | ) | const
| inlinenoexcept

Definition at line 54 of file StaticSocketAddress.hxx.

## ◆ operator!=()

bool StaticSocketAddress::operator!= | ( | SocketAddress & | other | ) | const
| inlinenoexcept

Definition at line 99 of file StaticSocketAddress.hxx.

## ◆ operator=()

StaticSocketAddress& StaticSocketAddress::operator= | ( | SocketAddress | other | ) |
| noexcept

## ◆ operator==()

gcc_pure bool StaticSocketAddress::operator== | ( | SocketAddress | other | ) | const
| inlinenoexcept

Definition at line 95 of file StaticSocketAddress.hxx.

## ◆ SetSize()

void StaticSocketAddress::SetSize | ( | size_type | _size | ) |
| inlinenoexcept

Definition at line 75 of file StaticSocketAddress.hxx.

The documentation for this class was generated from the following file:

- net/StaticSocketAddress.hxx